package anywheresoftware.b4a.samples.httputils2;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "anywheresoftware.b4a.samples.httputils2", "anywheresoftware.b4a.samples.httputils2.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "anywheresoftware.b4a.samples.httputils2", "anywheresoftware.b4a.samples.httputils2.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "anywheresoftware.b4a.samples.httputils2.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        Object[] o;
        if (permissions.length > 0)
            o = new Object[] {permissions[0], grantResults[0] == 0};
        else
            o = new Object[] {"", false};
        processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.objects.Timer _timer1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _hlinks = null;
public anywheresoftware.b4a.objects.ButtonWrapper _links = null;
public anywheresoftware.b4a.objects.ButtonWrapper _hrechts = null;
public anywheresoftware.b4a.objects.ButtonWrapper _mitte = null;
public anywheresoftware.b4a.objects.ButtonWrapper _rechts = null;
public anywheresoftware.b4a.objects.ButtonWrapper _vor = null;
public anywheresoftware.b4a.objects.ButtonWrapper _zurueck = null;
public anywheresoftware.b4a.objects.ButtonWrapper _v0 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _v1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _v2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _ser0 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _ser1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _sharp = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edit1 = null;
public anywheresoftware.b4a.objects.WebViewWrapper _webview1 = null;
public uk.co.martinpearman.b4a.webviewextras.WebViewExtras _webviewextras1 = null;
public static String _zs = "";
public static int _zss = 0;
public static float _vz = 0f;
public static float _vzz = 0f;
public static float _hz = 0f;
public static float _hzz = 0f;
public static float _pi = 0f;
public static float _x = 0f;
public static float _y = 0f;
public anywheresoftware.b4a.objects.PanelWrapper _image1 = null;
public anywheresoftware.b4a.objects.drawable.CanvasWrapper _cvsgraph = null;
public anywheresoftware.b4a.samples.httputils2.httputils2service _httputils2service = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 53;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 54;BA.debugLine="Timer1.Initialize(\"Timer1\", 400)";
_timer1.Initialize(processBA,"Timer1",(long) (400));
 //BA.debugLineNum = 55;BA.debugLine="Activity.LoadLayout(\"esp8266\")";
mostCurrent._activity.LoadLayout("esp8266",mostCurrent.activityBA);
 //BA.debugLineNum = 56;BA.debugLine="edit1.text =\"\"";
mostCurrent._edit1.setText((Object)(""));
 //BA.debugLineNum = 57;BA.debugLine="WebView1.Initialize(\"WebView1\")";
mostCurrent._webview1.Initialize(mostCurrent.activityBA,"WebView1");
 //BA.debugLineNum = 58;BA.debugLine="WebViewExtras1.addJavascriptInterface(WebView1, \"";
mostCurrent._webviewextras1.addJavascriptInterface(mostCurrent.activityBA,(android.webkit.WebView)(mostCurrent._webview1.getObject()),"B4A");
 //BA.debugLineNum = 60;BA.debugLine="cvsGraph.Initialize(image1)";
mostCurrent._cvsgraph.Initialize((android.view.View)(mostCurrent._image1.getObject()));
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 70;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 72;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 63;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 64;BA.debugLine="Timer1.Enabled = True";
_timer1.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 65;BA.debugLine="pi=3.14159";
_pi = (float) (3.14159);
 //BA.debugLineNum = 66;BA.debugLine="hzz=185";
_hzz = (float) (185);
 //BA.debugLineNum = 67;BA.debugLine="vzz=5";
_vzz = (float) (5);
 //BA.debugLineNum = 68;BA.debugLine="End Sub";
return "";
}
public static String  _exit_app() throws Exception{
 //BA.debugLineNum = 74;BA.debugLine="Sub Exit_App";
 //BA.debugLineNum = 75;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 76;BA.debugLine="ExitApplication";
anywheresoftware.b4a.keywords.Common.ExitApplication();
 //BA.debugLineNum = 77;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 20;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 21;BA.debugLine="Private hlinks As Button";
mostCurrent._hlinks = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Private links As Button";
mostCurrent._links = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Private hrechts As Button";
mostCurrent._hrechts = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Private mitte As Button";
mostCurrent._mitte = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Private rechts As Button";
mostCurrent._rechts = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Private vor As Button";
mostCurrent._vor = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Private zurueck As Button";
mostCurrent._zurueck = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Private v0 As Button";
mostCurrent._v0 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Private v1 As Button";
mostCurrent._v1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Private v2 As Button";
mostCurrent._v2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Private ser0 As Button";
mostCurrent._ser0 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private ser1 As Button";
mostCurrent._ser1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private sharp As Button";
mostCurrent._sharp = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private edit1 As EditText";
mostCurrent._edit1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Dim WebView1 As WebView";
mostCurrent._webview1 = new anywheresoftware.b4a.objects.WebViewWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim WebViewExtras1 As WebViewExtras";
mostCurrent._webviewextras1 = new uk.co.martinpearman.b4a.webviewextras.WebViewExtras();
 //BA.debugLineNum = 39;BA.debugLine="Dim zs As String";
mostCurrent._zs = "";
 //BA.debugLineNum = 40;BA.debugLine="Dim zss As Int";
_zss = 0;
 //BA.debugLineNum = 41;BA.debugLine="Dim vz As Float";
_vz = 0f;
 //BA.debugLineNum = 42;BA.debugLine="Dim vzz As Float";
_vzz = 0f;
 //BA.debugLineNum = 43;BA.debugLine="Dim hz As Float";
_hz = 0f;
 //BA.debugLineNum = 44;BA.debugLine="Dim hzz As Float";
_hzz = 0f;
 //BA.debugLineNum = 45;BA.debugLine="Dim pi As Float";
_pi = 0f;
 //BA.debugLineNum = 46;BA.debugLine="Dim x As Float";
_x = 0f;
 //BA.debugLineNum = 47;BA.debugLine="Dim y As Float";
_y = 0f;
 //BA.debugLineNum = 49;BA.debugLine="Private image1 As Panel";
mostCurrent._image1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 50;BA.debugLine="Private cvsGraph As Canvas";
mostCurrent._cvsgraph = new anywheresoftware.b4a.objects.drawable.CanvasWrapper();
 //BA.debugLineNum = 51;BA.debugLine="End Sub";
return "";
}
public static String  _hlinks_click() throws Exception{
 //BA.debugLineNum = 113;BA.debugLine="Sub hlinks_Click";
 //BA.debugLineNum = 114;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/hlinks\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/hlinks");
 //BA.debugLineNum = 115;BA.debugLine="End Sub";
return "";
}
public static String  _hrechts_click() throws Exception{
 //BA.debugLineNum = 105;BA.debugLine="Sub hrechts_Click";
 //BA.debugLineNum = 106;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/hrechts\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/hrechts");
 //BA.debugLineNum = 107;BA.debugLine="End Sub";
return "";
}
public static String  _links_click() throws Exception{
 //BA.debugLineNum = 117;BA.debugLine="Sub links_Click";
 //BA.debugLineNum = 118;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/links\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/links");
 //BA.debugLineNum = 119;BA.debugLine="End Sub";
return "";
}
public static String  _mitte_click() throws Exception{
 //BA.debugLineNum = 109;BA.debugLine="Sub mitte_Click";
 //BA.debugLineNum = 110;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/mitte\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/mitte");
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
httputils2service._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 16;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 17;BA.debugLine="Dim Timer1 As Timer";
_timer1 = new anywheresoftware.b4a.objects.Timer();
 //BA.debugLineNum = 18;BA.debugLine="End Sub";
return "";
}
public static String  _processhtml(String _html) throws Exception{
 //BA.debugLineNum = 89;BA.debugLine="Sub ProcessHTML(Html As String)";
 //BA.debugLineNum = 91;BA.debugLine="zs = Html";
mostCurrent._zs = _html;
 //BA.debugLineNum = 92;BA.debugLine="zss=zs";
_zss = (int)(Double.parseDouble(mostCurrent._zs));
 //BA.debugLineNum = 93;BA.debugLine="End Sub";
return "";
}
public static String  _rechts_click() throws Exception{
 //BA.debugLineNum = 101;BA.debugLine="Sub rechts_Click";
 //BA.debugLineNum = 102;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/rechts\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/rechts");
 //BA.debugLineNum = 103;BA.debugLine="End Sub";
return "";
}
public static String  _ser0_click() throws Exception{
 //BA.debugLineNum = 141;BA.debugLine="Sub ser0_Click";
 //BA.debugLineNum = 142;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/ser0\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/ser0");
 //BA.debugLineNum = 143;BA.debugLine="End Sub";
return "";
}
public static String  _ser1_click() throws Exception{
 //BA.debugLineNum = 145;BA.debugLine="Sub ser1_Click";
 //BA.debugLineNum = 146;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/ser1\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/ser1");
 //BA.debugLineNum = 147;BA.debugLine="vz=1";
_vz = (float) (1);
 //BA.debugLineNum = 148;BA.debugLine="End Sub";
return "";
}
public static String  _sharp_click() throws Exception{
 //BA.debugLineNum = 150;BA.debugLine="Sub sharp_Click";
 //BA.debugLineNum = 151;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/sharp\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/sharp");
 //BA.debugLineNum = 152;BA.debugLine="hz=1";
_hz = (float) (1);
 //BA.debugLineNum = 153;BA.debugLine="End Sub";
return "";
}
public static String  _timer1_tick() throws Exception{
 //BA.debugLineNum = 95;BA.debugLine="Sub Timer1_Tick";
 //BA.debugLineNum = 96;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/leer\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/leer");
 //BA.debugLineNum = 97;BA.debugLine="edit1.Text=zs";
mostCurrent._edit1.setText((Object)(mostCurrent._zs));
 //BA.debugLineNum = 98;BA.debugLine="zeichne";
_zeichne();
 //BA.debugLineNum = 99;BA.debugLine="End Sub";
return "";
}
public static String  _v0_click() throws Exception{
 //BA.debugLineNum = 121;BA.debugLine="Sub v0_Click";
 //BA.debugLineNum = 122;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/v0\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/v0");
 //BA.debugLineNum = 123;BA.debugLine="End Sub";
return "";
}
public static String  _v1_click() throws Exception{
 //BA.debugLineNum = 125;BA.debugLine="Sub v1_Click";
 //BA.debugLineNum = 126;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/v1\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/v1");
 //BA.debugLineNum = 127;BA.debugLine="End Sub";
return "";
}
public static String  _v2_click() throws Exception{
 //BA.debugLineNum = 129;BA.debugLine="Sub v2_Click";
 //BA.debugLineNum = 130;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/v2\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/v2");
 //BA.debugLineNum = 131;BA.debugLine="End Sub";
return "";
}
public static String  _vor_click() throws Exception{
 //BA.debugLineNum = 137;BA.debugLine="Sub vor_Click";
 //BA.debugLineNum = 138;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/vor\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/vor");
 //BA.debugLineNum = 139;BA.debugLine="End Sub";
return "";
}
public static String  _webview1_pagefinished(String _url) throws Exception{
String _javascript = "";
 //BA.debugLineNum = 79;BA.debugLine="Sub WebView1_PageFinished (Url As String)";
 //BA.debugLineNum = 80;BA.debugLine="Dim Javascript As String";
_javascript = "";
 //BA.debugLineNum = 81;BA.debugLine="Javascript = \"B4A.CallSub('ProcessHTML', false, d";
_javascript = "B4A.CallSub('ProcessHTML', false, document.documentElement.innerText)";
 //BA.debugLineNum = 86;BA.debugLine="WebViewExtras1.executeJavascript(WebView1, Javasc";
mostCurrent._webviewextras1.executeJavascript((android.webkit.WebView)(mostCurrent._webview1.getObject()),_javascript);
 //BA.debugLineNum = 87;BA.debugLine="End Sub";
return "";
}
public static String  _zeichne() throws Exception{
 //BA.debugLineNum = 155;BA.debugLine="Sub zeichne";
 //BA.debugLineNum = 156;BA.debugLine="If vz=1 Then";
if (_vz==1) { 
 //BA.debugLineNum = 157;BA.debugLine="If vzz < 175.0 Then";
if (_vzz<175.0) { 
 //BA.debugLineNum = 158;BA.debugLine="vzz=vzz+1.8";
_vzz = (float) (_vzz+1.8);
 //BA.debugLineNum = 159;BA.debugLine="x=Sin(vzz*pi/180)*zss";
_x = (float) (anywheresoftware.b4a.keywords.Common.Sin(_vzz*_pi/(double)180)*_zss);
 //BA.debugLineNum = 160;BA.debugLine="y=Cos(vzz*pi/180)*zss";
_y = (float) (anywheresoftware.b4a.keywords.Common.Cos(_vzz*_pi/(double)180)*_zss);
 //BA.debugLineNum = 161;BA.debugLine="image1.Invalidate";
mostCurrent._image1.Invalidate();
 //BA.debugLineNum = 162;BA.debugLine="cvsGraph.DrawLine(200,200, 200+x,200+y, Colors.";
mostCurrent._cvsgraph.DrawLine((float) (200),(float) (200),(float) (200+_x),(float) (200+_y),anywheresoftware.b4a.keywords.Common.Colors.Red,(float) (1));
 }else {
 //BA.debugLineNum = 164;BA.debugLine="vz=0";
_vz = (float) (0);
 //BA.debugLineNum = 165;BA.debugLine="vzz=5.0";
_vzz = (float) (5.0);
 };
 };
 //BA.debugLineNum = 169;BA.debugLine="If hz=1 Then";
if (_hz==1) { 
 //BA.debugLineNum = 170;BA.debugLine="If hzz < 355.0 Then";
if (_hzz<355.0) { 
 //BA.debugLineNum = 171;BA.debugLine="hzz=hzz+1.8";
_hzz = (float) (_hzz+1.8);
 //BA.debugLineNum = 172;BA.debugLine="x=Sin(hzz*pi/180)*zss";
_x = (float) (anywheresoftware.b4a.keywords.Common.Sin(_hzz*_pi/(double)180)*_zss);
 //BA.debugLineNum = 173;BA.debugLine="y=Cos(hzz*pi/180)*zss";
_y = (float) (anywheresoftware.b4a.keywords.Common.Cos(_hzz*_pi/(double)180)*_zss);
 //BA.debugLineNum = 174;BA.debugLine="image1.Invalidate";
mostCurrent._image1.Invalidate();
 //BA.debugLineNum = 175;BA.debugLine="cvsGraph.DrawLine(200,200, 200+x,200+y, Colors.";
mostCurrent._cvsgraph.DrawLine((float) (200),(float) (200),(float) (200+_x),(float) (200+_y),anywheresoftware.b4a.keywords.Common.Colors.Green,(float) (1));
 }else {
 //BA.debugLineNum = 177;BA.debugLine="hz=0.0";
_hz = (float) (0.0);
 //BA.debugLineNum = 178;BA.debugLine="hzz=185.0";
_hzz = (float) (185.0);
 };
 };
 //BA.debugLineNum = 181;BA.debugLine="End Sub";
return "";
}
public static String  _zurueck_click() throws Exception{
 //BA.debugLineNum = 133;BA.debugLine="Sub zurueck_Click";
 //BA.debugLineNum = 134;BA.debugLine="WebView1.LoadUrl(\"http://192.168.2.106/zur\")";
mostCurrent._webview1.LoadUrl("http://192.168.2.106/zur");
 //BA.debugLineNum = 135;BA.debugLine="End Sub";
return "";
}
}
